# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding field 'Export.report'
        db.add_column('excel_export_export', 'report', self.gf('django.db.models.fields.CharField')(default='', max_length=100, null=True, blank=True), keep_default=False)

        # Changing field 'Export.table'
        db.alter_column('excel_export_export', 'table', self.gf('django.db.models.fields.CharField')(max_length=40, null=True, blank=True))
    
    
    def backwards(self, orm):
        
        # Deleting field 'Export.report'
        db.delete_column('excel_export_export', 'report')

        # Changing field 'Export.table'
        db.alter_column('excel_export_export', 'table', self.gf('django.db.models.fields.CharField')(max_length=40))
    
    
    models = {
        'excel_export.column': {
            'Meta': {'object_name': 'Column'},
            'col': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'export': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['excel_export.Export']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.CharField', [], {'max_length': '40', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'})
        },
        'excel_export.export': {
            'Meta': {'object_name': 'Export'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('excel_export.models.NoSpaceCharField', [], {'unique': 'True', 'max_length': '40'}),
            'report': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'table': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '40', 'null': 'True', 'blank': 'True'})
        },
        'excel_export.filter': {
            'Meta': {'object_name': 'Filter'},
            'col': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'export': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['excel_export.Export']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lookup': ('django.db.models.fields.CharField', [], {'default': "'exact'", 'max_length': '40'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '40'})
        }
    }
    
    complete_apps = ['excel_export']
